## synergy 1.3.6-2-maemo1

=== debian/changelog ===
synergy (1.3.6-2-maemo1) natty; urgency=low

  * Fremantle packaging
  * Needs build-dep:x11proto-xext-dev (on Maemo5: /usr/include/X11/extensions/XTest.h)
  * Needs libxi-dev (on Maemo5: /usr/include/X11/extensions/XInput.h)
  * cmake can't find XTest.h

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Tue, 13 Dec 2011 08:28:20 +0200

synergy (1.3.6-1ubuntu1) natty; urgency=low

  * Merge from debian unstable (LP: #719794), remaining changes:
    - debian/rules: disable FORTIFY, since fixing the code seems to have
      negative results (see LP 250869 -- Ubuntu specific workaround until
      debian bug 488460 is fully solved).

 -- Nobuto MURATA <nobuto@nobuto-murata.org>  Wed, 16 Feb 2011 13:40:20 +0900

synergy (1.3.6-1) unstable; urgency=low

  * New upstream version.  Closes: #611056.
  * Pull in previous updates from experimental.
    Closes: #591372.
  * Switch to cmake from autotools.
  * Drop obsolete docs.
  * Use project-suppled man pages instead of Debian-specific ones.
  * Update watch file to point to new synergy project.  Closes: #611726.

 -- Jeff Licquia <licquia@debian.org>  Sun, 13 Feb 2011 21:34:22 -0500

synergy (1.3.4-1ubuntu1) natty; urgency=low

  * Merge from debian experimental (LP: #385529, #697985), remaining changes:
    - debian/rules: disable FORTIFY, since fixing the code seems to have
      negative results (see LP 250869 -- Ubuntu specific workaround until
      debian bug 488460 is fully solved).

 -- Nobuto MURATA <nobuto@nobuto-murata.org>  Thu, 06 Jan 2011 16:30:11 +0900

synergy (1.3.4-1) experimental; urgency=low

  * New upstream version.
  * Set source package version.
  * Update Standards-Version.
  * Fix doc links to "obsolete" docs.
  * Updated documentation and Homepage to reflect the merger
    with synergy-plus.

 -- Jeff Licquia <licquia@debian.org>  Tue, 09 Nov 2010 16:44:15 -0500

synergy (1.3.1-6ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining changes:
    - debian/rules: disable FORTIFY, since fixing the code seems to have
      negative results (see LP 250869 -- Ubuntu specific workaround until
      debian bug 488460 is fully solved).

 -- Andreas Wenning <awen@awen.dk>  Fri, 08 May 2009 22:36:26 +0200

synergy (1.3.1-6) unstable; urgency=low

  * Apply similar patch to synergyc.  Closes: #520008.
  * Update Standards-Version and debhelper compatibility.

 -- Jeff Licquia <licquia@debian.org>  Tue, 31 Mar 2009 15:18:57 -0400

synergy (1.3.1-5ubuntu2) jaunty; urgency=low

  * Call to XInitThreads() needed; prevents frequent crashes. (LP: #299152)
    - Patch taken from debian; applied inline.
    - debian/ubuntu-applied-patches/call_xinitthreads.patch

 -- Andreas Wenning <awen@awen.dk>  Sun, 19 Apr 2009 18:55:53 +0200

synergy (1.3.1-5ubuntu1) jaunty; urgency=low

  * Merge from debian unstable, remaining changes:
    - debian/rules: disable FORTIFY, since fixing the code seems to have
      negative results (see LP 250869 -- Ubuntu specific workaround until
      debian bug 488460 is fully solved).

 -- Kees Cook <kees@ubuntu.com>  Fri, 14 Nov 2008 11:36:09 -0800

synergy (1.3.1-5) unstable; urgency=low

  * Apply patch from Carlo Wood which fixes a crash in synergys
    with XCB.  Closes: #495498.

 -- Jeff Licquia <licquia@debian.org>  Sun, 07 Sep 2008 23:25:43 -0400

synergy (1.3.1-4ubuntu2) intrepid; urgency=low

  * Revert fortify warning cleanups from prior upload.
  * debian/control: Add missing XInput build dep (see LP 273386).
  * debian/rules: disable FORTIFY, as this is the major difference
    between Debian and Ubuntu (LP: #250869).

 -- Kees Cook <kees@ubuntu.com>  Mon, 22 Sep 2008 09:58:11 -0700

synergy (1.3.1-4ubuntu1) intrepid; urgency=low

  * lib/arch/CArchDaemonUnix.cpp, lib/arch/CArchNetworkBSD.cpp,
    lib/platform/CXWindowsEventQueueBuffer.cpp: check missed error
    conditions detected by -D_FORTIFY_SOURCE=2.

 -- Kees Cook <kees@ubuntu.com>  Sat, 28 Jun 2008 18:53:46 -0700

synergy (1.3.1-4) unstable; urgency=low

  * Apply patch from Mike Stroyan which fixes some race conditions.
    Closes: #432938.
  * Re-jigger how options get passed to configure in debian/rules.

 -- Jeff Licquia <licquia@debian.org>  Tue, 24 Jun 2008 22:13:36 -0400

synergy (1.3.1-3) unstable; urgency=low

  * New maintainer.  Closes: #470186.
  * Update Standards-Version.
  * Add Homepage and Vcs-* fields.
  * Fix lintian warnings on copyright and doc-base files.
    Closes: #430783.
  * Fix problem with synergys man page.

 -- Jeff Licquia <licquia@debian.org>  Sat, 07 Jun 2008 19:26:22 -0500

synergy (1.3.1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * fix g++-4.3 FTBFS (Closes: 417719).

 -- Pierre Habouzit <madcoder@debian.org>  Sun, 16 Mar 2008 22:01:24 +0000

synergy (1.3.1-2) unstable; urgency=low

  * added build-dependency on libxt-dev (closes: #367837)
  * Bumped Standard-Version to 3.7.2. no change.

 -- Cord Beermann <cord@debian.org>  Wed, 31 May 2006 22:57:17 +0200

synergy (1.3.1-1) unstable; urgency=low

  * New upstream release

 -- Cord Beermann <cord@debian.org>  Sat,  8 Apr 2006 20:44:18 +0200

synergy (1.3.0-1) unstable; urgency=low

  * New upstream release
  * should fix 'Shift key does not work inside VMware' (closes: #321055)
  * closing old unreproducable bug (closes: #276282)

 -- Cord Beermann <cord@debian.org>  Sat,  1 Apr 2006 09:04:14 +0200

synergy (1.2.8-2) unstable; urgency=low

  * doc-base install-docs control files do not appear to have a syntax
    for comments. comments removed. thanks to Paul Cannon
    for the diagnosis. (closes: #351997)

 -- Cord Beermann <cord@cord.de>  Thu,  9 Feb 2006 23:25:34 +0100

synergy (1.2.8-1) unstable; urgency=low

  * Hijack the package (closes: #349746)
  * Rebuild the package from scratch.
  * moved package from 'net' to 'x11'.

 -- Cord Beermann <cord@debian.org>  Sat,  4 Feb 2006 22:48:34 +0100

synergy (1.2.7-0.2) unstable; urgency=low

  * Non-maintainer upload
  * configure is unhappy, adding xutils.


