## synergy 1.3.6-2-maemo2

=== debian/changelog ===
synergy (1.3.6-2-maemo2) natty; urgency=low

  * Fremantle packaging
  * optified
  * Without code modifications, built locally

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Tue, 13 Dec 2011 12:11:20 +0200
