=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Homepage: http://synergy-foss.org/
 Vcs-Bzr: http://bzr.licquia.org/synergy/debian/
 Vcs-Browser: http://bzr.licquia.org/loggerhead/synergy/debian/
-Build-Depends: debhelper (>= 5), libxt-dev, libxtst-dev, libxinerama-dev, cmake, x11proto-xext-dev, libxi-dev
+Build-Depends: debhelper (>= 5), libxt-dev, libxtst-dev, libxinerama-dev, cmake
 Standards-Version: 3.9.1
 XSBC-Bugtracker: http://synergy-foss.org/tracker/
 
@@ -25,3 +25,5 @@
  Furthermore, it synchronizes screen savers so they all start and stop
  together and, if screen locking is enabled, only one screen requires
  a password to unlock them all.
+ .
+ GPLv2, source code from: http://synergy.googlecode.com/files/synergy-1.3.6-Source.tar.gz
