## synergy 1.3.6-2-maemo3

=== debian/changelog ===
synergy (1.3.6-2-maemo3) natty; urgency=low

  * Fremantle packaging
  * Needs build-dep:x11proto-xext-dev (on Maemo5: /usr/include/X11/extensions/XTest.h)
  * Needs libxi-dev (on Maemo5: /usr/include/X11/extensions/XInput.h)
  * cmake can't find XTest.h
  * optified

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Tue, 13 Dec 2011 08:28:20 +0200
