## synergy 1.3.6-2-maemo4

=== debian/changelog ===
synergy (1.3.6-2-maemo4) natty; urgency=low

  * Fremantle packaging
  * Needs build-dep:x11proto-xext-dev (on Maemo5: /usr/include/X11/extensions/XTest.h)
  * Needs libxi-dev (on Maemo5: /usr/include/X11/extensions/XInput.h)
  * cmake can't find XTest.h
  * optified
  * Fixed: Logging causes seg faulting (use plain printf)

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Wed, 14 Dec 2011 21:11:20 +0200
