=== debian/rules ===
--- 
+++ 
@@ -62,7 +62,12 @@
 	dh_prep
 	dh_installdirs
 
-	cp synergyc synergys $(CURDIR)/debian/synergy/usr/bin
+	install -d $(CURDIR)/debian/synergy/usr/bin
+	install -d $(CURDIR)/debian/synergy/opt/synergy
+
+	mv synergyc synergys $(CURDIR)/debian/synergy/opt/synergy
+	ln -s /opt/synergy/synergyc $(CURDIR)/debian/synergy/usr/bin/synergyc
+	ln -s /opt/synergy/synergys $(CURDIR)/debian/synergy/usr/bin/synergys
 
 # Build architecture-independent files here.
 binary-indep: build install
