## synergy 1.3.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -16,7 +16,7 @@
 # Version number for Synergy
 set(VERSION_MAJOR 1)
 set(VERSION_MINOR 3)
-set(VERSION_REV 7)
+set(VERSION_REV 8)
 set(VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_REV}")
 
 # The check for 2.6 may be too strict (consider lowering).
@@ -142,9 +142,17 @@
 	
 	if (APPLE)
 
-		# build mac os x universal
-		set(CMAKE_OSX_ARCHITECTURES "ppc;i386"
-			CACHE STRING "Build architectures for OSX" FORCE)
+		# build mac os x universal (if <= 10.6)
+		exec_program(uname ARGS -v OUTPUT_VARIABLE DARWIN_VERSION)
+		string(REGEX MATCH "[0-9]+" DARWIN_VERSION ${DARWIN_VERSION})
+		message(STATUS "DARWIN_VERSION=${DARWIN_VERSION}")
+		if (DARWIN_VERSION LESS 11)
+			set(CMAKE_OSX_ARCHITECTURES "ppc;i386"
+				CACHE STRING "PPC and 32-bit for for OSX <= 10.6" FORCE)
+		else()
+			set(CMAKE_OSX_ARCHITECTURES "i386"
+				CACHE STRING "32-bit only for OSX >= 10.7" FORCE)
+		endif()
 
 		find_library(lib_ScreenSaver ScreenSaver)
 		find_library(lib_IOKit IOKit)
