=== src/lib/arch/CMakeLists.txt ===
--- 
+++ 
@@ -16,6 +16,7 @@
 set(src
 	CArch.cpp
 	CArchDaemonNone.cpp
+	IArchString.cpp
 	XArch.cpp
 )
 
@@ -35,6 +36,8 @@
 		CArchTaskBarWindows.h
 		CArchTimeWindows.h
 		XArchWindows.h
+		CMultibyte.h
+		vsnprintf.h
 	)
 
 	list(APPEND src
