=== debian/changelog ===
synergy (1.3.8-2) unstable; urgency=low

  * Build with dpkg-buildflags hardening support.
  * Update Standards-Version.
  * Apply mutex initialization fix from upstream.  This seems
    to fix a number of segfault issues.  Closes: #666896.

 -- Jeff Licquia <licquia@debian.org>  Sat, 07 Jul 2012 15:08:33 -0400

synergy (1.3.8-1) unstable; urgency=low

  * New upstream version.
  * Switch to 3.0 (quilt) source format.
  * Apply upstream patch to fix GNOME 3 issues.  Closes: #649208.

 -- Jeff Licquia <licquia@debian.org>  Sun, 04 Dec 2011 18:58:04 -0500

synergy (1.3.7-1) unstable; urgency=low

  * New upstream version.
  * Update Standards-Version, fix new lintian warnings.
  * Add test suites to build.  One appears unreliable; disable
    until fixed.
  * Switch back to the Debian-specific man pages, which are better.

 -- Jeff Licquia <licquia@debian.org>  Sun, 02 Oct 2011 19:37:04 -0400
