=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: synergy
-Section: user/x11
+Section: x11
 Priority: optional
-Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
+Maintainer: Jeff Licquia <licquia@debian.org>
 Homepage: http://synergy-foss.org/
 Vcs-Bzr: http://bzr.licquia.org/synergy/debian/
 Vcs-Browser: http://bzr.licquia.org/loggerhead/synergy/debian/
-Build-Depends: debhelper (>= 5), libxt-dev, libxtst-dev, libxinerama-dev, cmake
-Standards-Version: 3.9.1
-XSBC-Bugtracker: http://synergy-foss.org/tracker/
+Build-Depends: debhelper (>= 7), libxt-dev, libxtst-dev, libxinerama-dev, cmake, docbook-to-man
+Standards-Version: 3.9.3
 
 Package: synergy
 Architecture: any
@@ -26,4 +25,5 @@
  together and, if screen locking is enabled, only one screen requires
  a password to unlock them all.
  .
- GPLv2, source code from: http://synergy.googlecode.com/files/synergy-1.3.6-Source.tar.gz
+ Packages for Windows/MacOS/RPM and Sources can be found at
+ http://sourceforge.net/project/showfiles.php?group_id=59275
