=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,14 @@
 # Uncomment this to turn on verbose mode.
 # export DH_VERBOSE=1
 
+# Set build flags.  For wheezy+1, we will switch to using debhelper 9.
+# For now, preserve compatibility with squeeze.  Includes CMake workaround
+# (which, again, should not be necessary after wheezy).
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DPKG_EXPORT_BUILDFLAGS=1
+-include /usr/share/dpkg/buildflags.mk
+CFLAGS += $(CPPFLAGS)
+CXXFLAGS += $(CPPFLAGS)
 
 # These are used for cross-compiling and for saving the configure script
 # from having to guess our platform (since we know it already)
@@ -16,8 +24,9 @@
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
 
-CFLAGS = -Wall -g
-LDFLAGS = -Wl,-z,defs
+CFLAGS += -Wall -g
+CXXFLAGS += -Wall -g
+LDFLAGS += -Wl,-z,defs
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -O0
@@ -25,36 +34,51 @@
 	CFLAGS += -O2
 endif
 
-CXXFLAGS = $(CFLAGS) -U_FORTIFY_SOURCE
+CXXFLAGS = $(CFLAGS)
 
-config.h: CMakeLists.txt
+builddir:
+	mkdir builddir
+
+config.h: CMakeLists.txt builddir
 	dh_testdir
-	cmake .
+	(cd builddir && cmake ..)
 
-build: build-stamp
-
-build-stamp:  config.h
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
+build-stamp: builddir config.h
 	dh_testdir
 
-	# Add here commands to compile the package.
-	$(MAKE)
-	cp doc/synergys.man synergys.1
-	cp doc/synergyc.man synergyc.1
+	(cd builddir && $(MAKE) VERBOSE=1)
+
+	# Upstream provides nearly-useless man pages.  If
+	# you want to use them, uncomment these and comment
+	# the docbook-to-man lines out.
+	#cp doc/synergys.man synergys.1
+	#cp doc/synergyc.man synergyc.1
+
+	# Use the man pages provided by a Debian user.
+	docbook-to-man debian/synergys.sgml > synergys.1
+	docbook-to-man debian/synergyc.sgml > synergyc.1
 
 	touch build-stamp
 
 clean:
 	dh_testdir
 	dh_testroot
+
 	rm -f build-stamp 
+	rm -rf builddir bin lib
+	rm -f synergys.1 synergyc.1 config.h
 
-	[ ! -f Makefile ] || $(MAKE) clean
+	find . -name \*.pyc -delete
 
-	rm -rf CMakeFiles
-	rm -f CMakeCache.txt Makefile cmake_install.cmake config.h
+	dh_clean 
 
-	rm -f synergys.1 synergyc.1
-	dh_clean 
+test: build-stamp
+	bin/unittests --gtest_color=no
+	# Disabled; seems to segfault often.
+	#bin/integtests --gtest_color=no
 
 install: build
 	dh_testdir
@@ -62,19 +86,14 @@
 	dh_prep
 	dh_installdirs
 
-	install -d $(CURDIR)/debian/synergy/usr/bin
-	install -d $(CURDIR)/debian/synergy/opt/synergy
-
-	mv synergyc synergys $(CURDIR)/debian/synergy/opt/synergy
-	ln -s /opt/synergy/synergyc $(CURDIR)/debian/synergy/usr/bin/synergyc
-	ln -s /opt/synergy/synergys $(CURDIR)/debian/synergy/usr/bin/synergys
+	cp bin/synergyc bin/synergys $(CURDIR)/debian/synergy/usr/bin
 
 # Build architecture-independent files here.
 binary-indep: build install
 # We have nothing to do by default.
 
 # Build architecture-dependent files here.
-binary-arch: build install
+binary-arch: build install test
 	dh_testdir
 	dh_testroot
 	dh_installchangelogs ChangeLog
