=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# This is a variant HTTP format which allows direct specification of
# the homepage:
# Homepage  Pattern  [Version  [Action]]
opts=filenamemangle=s/.*files\/(.+)/$1/ \
  http://code.google.com/p/synergy/downloads/list \
    .*/files/synergy-([\d\.]+)-Source\.tar\.gz
